<?php
namespace Teknisa\FIN\Modules\MovimentacaoBancaria\Controllers;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request\Row;
use Teknisa\FIN\Modules\MovimentacaoBancaria\Services\Bco21100ExtratoDeMovimentacaoBancariaService;

class Bco21100ExtratoDeMovimentacaoBancariaController {

    protected $entityManager;
    protected $service;

    public function __construct(EntityManager $entityManager, Bco21100ExtratoDeMovimentacaoBancariaService $service) {
        $this->entityManager = $entityManager;
        $this->service       = $service;
    }
        
    public function gerarRelatorioMovimentacaoBancaria(Row $row, Response $response) {
        try {
            set_time_limit(7200);
            
            $row = $row->getRow();
            
            $nrseqmovbanc = $this->service->gerarRelatorioMovimentacaoBancaria($row, $response);
            
            $response->addDataSet(new DataSet('movimentacaoBancaria', [$nrseqmovbanc]));
        } catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    }
    
}
